#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct DataReviewEventOrigin {
    #[serde(rename = "dataReviewRid")]
    data_review_rid: super::super::scout::rids::api::DataReviewRid,
    #[builder(custom(type = super::CheckOriginMetadata, convert = Box::new))]
    #[serde(rename = "checkMetadata")]
    check_metadata: Box<super::CheckOriginMetadata>,
}
impl DataReviewEventOrigin {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(
        data_review_rid: super::super::scout::rids::api::DataReviewRid,
        check_metadata: super::CheckOriginMetadata,
    ) -> Self {
        Self::builder()
            .data_review_rid(data_review_rid)
            .check_metadata(check_metadata)
            .build()
    }
    #[inline]
    pub fn data_review_rid(&self) -> &super::super::scout::rids::api::DataReviewRid {
        &self.data_review_rid
    }
    /// Metadata about the check that created this event.
    #[inline]
    pub fn check_metadata(&self) -> &super::CheckOriginMetadata {
        &*self.check_metadata
    }
}
